{inputs, ...}: {
	flake.modules.nixos.tux = {
		imports = with inputs.self.modules.nixos; [
			intel-gpu
		];

		boot.initrd.availableKernelModules = [ "xhci_pci" "nvme" "usb_storage" "sd_mod" "sdhci_pci" ];

		nixpkgs.hostPlatform = "x86_64-linux";

		hardware.enableRedistributableFirmware = true;
		hardware.cpu.intel.updateMicrocode = true;

	};
}
